## org.hibernate.internal.util.collections
Class JoinedIterable<T>

    java.lang.Object
      org.hibernate.internal.util.collections.JoinedIterable<T>

All Implemented Interfaces:
  Iterable<T>

    public class JoinedIterable<T>

extends Object
implements Iterable<T>

An JoinedIterable is an Iterable that wraps a number of Iterables. This class makes multiple iterables look like one to the caller. When any method from the Iterator interface is called on the Iterator object returned by `iterator()`, the JoinedIterable will delegate to a single underlying Iterator. The JoinedIterable will invoke the iterator on each Iterable, in sequence, until all Iterators are exhausted.

Constructor Summary
`JoinedIterable(List<Iterable<T>> iterables)`

Method Summary
`Iterator<T>` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinedIterable

    public JoinedIterable(List<Iterable<T>> iterables)

Method Detail

### iterator

    public Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T>`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.